Subject: Re: [bug#41263] [PATCH] gnu: Add openctm

From: Ekaitz Zarraga <[email-masked]>
Date: Fri, 15 May 2020 17:44:44 +0000

Hi,

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Friday, May 15, 2020 12:12 PM, Ludovic Courtès <[email-masked]> wrote:

> Hi,
>
> Ekaitz Zarraga [email-masked] skribis:
>
> > > From 8bbac5bccdb0b2fd5ffa8fe1e2dec25a6a359810 Mon Sep 17 00:00:00 2001
> > > From: Ekaitz Zarraga [email-masked]
> > > Date: Thu, 14 May 2020 16:55:32 +0200
> > > Subject: [PATCH] gnu: Add openctm
> >
> >     * gnu/packages/engineering.scm (openctm): New Variable.
> >
>
> Applied with the cosmetic changes below, mostly indentation (consider
> running ./etc/indent-code.el as mentioned in the manual).
>
> Thanks!
>
> Ludo’.

Thanks for the help Ludo (and the motivation!).

I was wondering about if it's worth to separate the package in multiple outputs like: GUI for openctm files, openctm library and so on, as described here:
https://guix.gnu.org/manual/en/html_node/Packages-with-Multiple-Outputs.html#Packages-with-Multiple-Outputs

It has like a `tools` part and a `lib` part I'd say. Does it make sense for this package?
It would avoid using GTK in the library part I think.

I never did this before but looks like an option to reduce the package size (total: 830.2 MiB  reported by guix size O_O).

Opinions?

Thanks!